package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalCreateMeetingLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalCreateMeetingLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalCreateMeetingLogic {
	return &SignalCreateMeetingLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// meeting
func (l *SignalCreateMeetingLogic) SignalCreateMeeting(in *rtc.SignalCreateMeetingReq) (*rtc.SignalCreateMeetingResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalCreateMeetingResp{}, nil
}
